import os
import es
import random
import gamethread

info = es.AddonInfo()
info.name = 'Synergy Randomgive'
info.basename = 'syn_randomgive'
info.version = '1.0'
info.author = 'GODJonez'
info.description = 'Gives random items to players on set interval'

give_interval = es.ServerVar('syn_give_interval', 25.0, 'Interval in seconds to give random stuff')

items = [
    'item_ammo_357',
    'item_ammo_357_large',
    'item_ammo_ar2',
    'item_ammo_ar2_altfire',
    'item_ammo_ar2_large',
    'item_ammo_crossbow',
    'item_ammo_pistol',
    'item_ammo_pistol_large',
    'item_ammo_smg1',
    'item_ammo_smg1_grenade',
    'item_ammo_smg1_large',
    'item_battery',
    'item_box_buckshot',
    'item_healthkit',
    'item_healthvial',
    'item_item_crate',
    'item_rpg_round',
    'item_suit',
    ]

validusers = set()

def player_connect(ev):
    userid = int(ev['userid'])
    validusers.add(userid)
    gamethread.delayed(float(give_interval), give_items, userid)

def player_disconnect(ev):
    userid = int(ev['userid'])
    validusers.remove(userid)

def give_items(userid):
    if userid in validusers:
        gamethread.delayed(float(give_interval), give_items, userid)
        if not isdead(userid):
            es.give(userid, random.choice(items))

def isdead(userid):
    try:
        deadflag = int(es.createplayerlist(userid)[userid]['isdead'])
    except KeyError:
        deadflag = 1
    return bool(deadflag)
